*****************************************
****Create Figure 1**********************
*****************************************

gen totrec = cedaw_numrec_vaw + cedaw_numrec_econ + ect_numrec_vaw + ect_numrec_econ + upr_numrec_vaw + upr_numrec_econ
graph bar (sum) totrec, over(year)



****************************************
****Figure 3****************************
****************************************
gen cedaw_numprec_vawecon1 = cedaw_numprec_vaw1 + cedaw_numprec_econ1
gen cedaw_numprec_vawecon2 = cedaw_numprec_vaw2 + cedaw_numprec_econ2
gen cedaw_numprec_vawecon3 = cedaw_numprec_vaw3 + cedaw_numprec_econ3

gen upr_numprec_vawecon1 = upr_numprec_vaw1 + upr_numprec_econ1
gen upr_numprec_vawecon2 = upr_numprec_vaw2 + upr_numprec_econ2
gen upr_numprec_vawecon3 = upr_numprec_vaw3 + upr_numprec_econ3

gen ect_numprec_vawecon1 = ect_numprec_vaw1 + ect_numprec_econ1
gen ect_numprec_vawecon2 = ect_numprec_vaw2 + ect_numprec_econ2
gen ect_numprec_vawecon3 = ect_numprec_vaw3 + ect_numprec_econ3

gen cedaw_numact_vawecon1 = cedaw_numact_vaw1 + cedaw_numact_econ1
gen cedaw_numact_vawecon2 = cedaw_numact_vaw2 + cedaw_numact_econ2
gen cedaw_numact_vawecon3 = cedaw_numact_vaw3 + cedaw_numact_econ3
gen cedaw_numact_vawecon4 = cedaw_numact_vaw4 + cedaw_numact_econ4
gen cedaw_numact_vawecon5 = cedaw_numact_vaw5 + cedaw_numact_econ5
gen cedaw_numact_vawecon6 = cedaw_numact_vaw6 + cedaw_numact_econ6
gen cedaw_numact_vawecon7 = cedaw_numact_vaw7 + cedaw_numact_econ7
gen cedaw_numact_vawecon8 = cedaw_numact_vaw8 + cedaw_numact_econ8

gen upr_numact_vawecon1 = upr_numact_vaw1 + upr_numact_econ1
gen upr_numact_vawecon2 = upr_numact_vaw2 + upr_numact_econ2
gen upr_numact_vawecon3 = upr_numact_vaw3 + upr_numact_econ3
gen upr_numact_vawecon4 = upr_numact_vaw4 + upr_numact_econ4
gen upr_numact_vawecon5 = upr_numact_vaw5 + upr_numact_econ5
gen upr_numact_vawecon6 = upr_numact_vaw6 + upr_numact_econ6
gen upr_numact_vawecon7 = upr_numact_vaw7 + upr_numact_econ7
gen upr_numact_vawecon8 = upr_numact_vaw8 + upr_numact_econ8

gen ect_numact_vawecon1 = ect_numact_vaw1 + ect_numact_econ1
gen ect_numact_vawecon2 = ect_numact_vaw2 + ect_numact_econ2
gen ect_numact_vawecon3 = ect_numact_vaw3 + ect_numact_econ3
gen ect_numact_vawecon4 = ect_numact_vaw4 + ect_numact_econ4
gen ect_numact_vawecon5 = ect_numact_vaw5 + ect_numact_econ5
gen ect_numact_vawecon6 = ect_numact_vaw6 + ect_numact_econ6
gen ect_numact_vawecon7 = ect_numact_vaw7 + ect_numact_econ7
gen ect_numact_vawecon8 = ect_numact_vaw8 + ect_numact_econ8


tab cedaw_numprec_vawecon1 cedaw_numact_vawecon1


gen easterneurope = 0
*14 states
*Bulgaria, Czech Republic, Hungary, Poland, Moldova, Romania, Russia, Slovakia, Ukraine (also including Turkey (Central Asia), Cyprus (Western Asia), Georgia (Western Asia), Azerbaijan (Western Asia), Armenia (Western Asia) even though UN defines in subregion Central Asia)
replace easterneurope = 1 if ccode == 355
replace easterneurope = 1 if ccode == 316
replace easterneurope = 1 if ccode == 310
replace easterneurope = 1 if ccode == 290
replace easterneurope = 1 if ccode == 359
replace easterneurope = 1 if ccode == 360
replace easterneurope = 1 if ccode == 365
replace easterneurope = 1 if ccode == 317
replace easterneurope = 1 if ccode == 369
replace easterneurope = 1 if ccode == 640
replace easterneurope = 1 if ccode == 352
replace easterneurope = 1 if ccode == 372
replace easterneurope = 1 if ccode == 373
replace easterneurope = 1 if ccode == 371


gen northerneurope = 0
*10 states
*Denmark, Estonia, Finland, Iceland, Ireland, Latvia, Lithuania, Norway, Sweden, United Kingdom
replace northerneurope = 1 if ccode == 390
replace northerneurope = 1 if ccode == 366
replace northerneurope = 1 if ccode == 375
replace northerneurope = 1 if ccode == 395
replace northerneurope = 1 if ccode == 205
replace northerneurope = 1 if ccode == 367
replace northerneurope = 1 if ccode == 368
replace northerneurope = 1 if ccode == 385
replace northerneurope = 1 if ccode == 380
replace northerneurope = 1 if ccode == 200


gen southerneurope = 0
*14 states
*Albania, Andorra, Bosnia, Croatia, Greece, Italy, Macedonia, Malta, Montenegro, Portugal, San Marino, Serbia, Slovenia, Spain
replace southerneurope = 1 if ccode == 339
replace southerneurope = 1 if ccode == 232
replace southerneurope = 1 if ccode == 346
replace southerneurope = 1 if ccode == 344
replace southerneurope = 1 if ccode == 350
replace southerneurope = 1 if ccode == 325
replace southerneurope = 1 if ccode == 343
replace southerneurope = 1 if ccode == 338
replace southerneurope = 1 if ccode == 341
replace southerneurope = 1 if ccode == 235
replace southerneurope = 1 if ccode == 331
replace southerneurope = 1 if ccode == 345
replace southerneurope = 1 if ccode == 349
replace southerneurope = 1 if ccode == 230

gen westerneurope = 0
*9 states
*Austria, Belgium, Frace, Germany, Liechtenstein, Luxembourg, Monaco, Netherlands, Switzerland
replace westerneurope = 1 if ccode == 305
replace westerneurope = 1 if ccode == 211
replace westerneurope = 1 if ccode == 220
replace westerneurope = 1 if ccode == 255
replace westerneurope = 1 if ccode == 223
replace westerneurope = 1 if ccode == 212
replace westerneurope = 1 if ccode == 221
replace westerneurope = 1 if ccode == 210
replace westerneurope = 1 if ccode == 225

gen totrec_prec1 = cedaw_numprec_vaw1 + cedaw_numprec_econ1 + ect_numprec_vaw1 + ect_numprec_econ1 + upr_numprec_vaw1 + upr_numprec_econ1
gen totrec_prec2 = cedaw_numprec_vaw2 + cedaw_numprec_econ2 + ect_numprec_vaw2 + ect_numprec_econ2 + upr_numprec_vaw2 + upr_numprec_econ2
gen totrec_prec3 = cedaw_numprec_vaw3 + cedaw_numprec_econ3 + ect_numprec_vaw3 + ect_numprec_econ3 + upr_numprec_vaw3 + upr_numprec_econ3

gen totrec_act1 = cedaw_numact_vaw1 + cedaw_numact_econ1 + ect_numact_vaw1 + ect_numact_econ1 + upr_numact_vaw1 + upr_numact_econ1
gen totrec_act2 = cedaw_numact_vaw2 + cedaw_numact_econ2 + ect_numact_vaw2 + ect_numact_econ2 + upr_numact_vaw2 + upr_numact_econ2
gen totrec_act3 = cedaw_numact_vaw3 + cedaw_numact_econ3 + ect_numact_vaw3 + ect_numact_econ3 + upr_numact_vaw3 + upr_numact_econ3
gen totrec_act4 = cedaw_numact_vaw4 + cedaw_numact_econ4 + ect_numact_vaw4 + ect_numact_econ4 + upr_numact_vaw4 + upr_numact_econ4
gen totrec_act5 = cedaw_numact_vaw5 + cedaw_numact_econ5 + ect_numact_vaw5 + ect_numact_econ5 + upr_numact_vaw5 + upr_numact_econ5
gen totrec_act6 = cedaw_numact_vaw6 + cedaw_numact_econ6 + ect_numact_vaw6 + ect_numact_econ6 + upr_numact_vaw6 + upr_numact_econ6
gen totrec_act7 = cedaw_numact_vaw7 + cedaw_numact_econ7 + ect_numact_vaw7 + ect_numact_econ7 + upr_numact_vaw7 + upr_numact_econ7
gen totrec_act8 = cedaw_numact_vaw8 + cedaw_numact_econ8 + ect_numact_vaw8 + ect_numact_econ8 + upr_numact_vaw8 + upr_numact_econ8

****************************
**Eastern Europe Proportions
****************************

*Precision
tab totrec if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec1 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec2 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec3 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

*Action
tab totrec_act1 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act2 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act3 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act4 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act4") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act5 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act5") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act6 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act6") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act7 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act7") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act8 if easterneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act8") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify


****************************
**Southern Europe Proportions
****************************

*Precision
tab totrec if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec1 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec2 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec3 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

*Action
tab totrec_act1 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act2 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act3 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act4 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act4") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act5 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act5") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act6 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act6") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act7 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act7") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act8 if southerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act8") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

****************************
**Northern Europe Proportions
****************************

*Precision
tab totrec if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec1 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec2 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec3 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

*Action
tab totrec_act1 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act2 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act3 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act4 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act4") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act5 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act5") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act6 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act6") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act7 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act7") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act8 if northerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act8") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify


****************************
**Western Europe Proportions
****************************

*Precision
tab totrec if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec1 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec2 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_prec3 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_prec3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

*Action
tab totrec_act1 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act1") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act2 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act2") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act3 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act3") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act4 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act4") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act5 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act5") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act6 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act6") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act7 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act7") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrec_act8 if westerneurope == 1, matcell(freq) matrow(names)
putexcel A1=("totrec_act8") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify


***All Recs
tab totrec, matcell(freq) matrow(names)
putexcel A1=("totrec") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totreccedaw, matcell(freq) matrow(names)
putexcel A1=("totreccedaw") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify


tab totrecect, matcell(freq) matrow(names)
putexcel A1=("totrecect") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

tab totrecupr, matcell(freq) matrow(names)
putexcel A1=("totrecupr") B1=("Freq.") using results, replace
putexcel A2=matrix(names) B2=matrix(freq) using results, modify

*****************************************************************
*******************Proportion Precise Recs by Region****************************************
******************************************************************

*Eastern Europe
matrix Elowprec = 0.1827
matrix colnames Elowprec = Passive
matrix list Elowprec

matrix Emedprec =0.1994
matrix colnames Emedprec = Guided
matrix list Emedprec

matrix Ehighprec = 0.6179
matrix colnames Ehighprec = Directive
matrix list Ehighprec

matrix EasternEurope = (Elowprec, Emedprec, Ehighprec)
matrix list EasternEurope
matrix rowname EasternEurope = EasternEurope

**Northern Europe
matrix Nlowprec = 0.2533
matrix colnames Nlowprec = Passive
matrix list Nlowprec

matrix Nmedprec = 0.1912
matrix colnames Nmedprec = Guided
matrix list Nmedprec

matrix Nhighprec = 0.5556
matrix colnames Nhighprec = Directive
matrix list Nhighprec

matrix NorthernEurope = (Nlowprec, Nmedprec, Nhighprec)
matrix list NorthernEurope
matrix rowname NorthernEurope = NorthernEurope

*Southern Europe
matrix Slowprec =  0.194
matrix colnames Slowprec = Precision
matrix list Slowprec

matrix Smedprec = 0.2276
matrix colnames Smedprec = Guided
matrix list Smedprec

matrix Shighprec = 0.5782
matrix colnames Shighprec = Directive
matrix list Shighprec

matrix SouthernEurope = (Slowprec, Smedprec, Shighprec)
matrix list SouthernEurope
matrix rowname SouthernEurope = SouthernEurope

*Western Europe
matrix Wlowprec =  0.2631
matrix colnames Wlowprec = Passive
matrix list Wlowprec

matrix Wmedprec = 0.2398
matrix colnames Wmedprec = Guided
matrix list Wmedprec

matrix Whighprec = 0.4971
matrix colnames Whighprec = Directive
matrix list Whighprec

matrix WesternEurope = (Wlowprec, Wmedprec, Whighprec)
matrix list WesternEurope
matrix rowname WesternEurope = WesternEurope


matrix test = (EasternEurope\NorthernEurope\SouthernEurope\WesternEurope)

plotmatrix, m(test) s(0(.1)1) c(gray) ylabel(,angle(0) notick) xlabel(,angle(90) notick) plotregion(margin(zero)) legend(cols(1) color(black) ring(5) position(3) size(small) m(small) rowgap(zero) colgap(zero) symysize(huge) symxsize(huge))



*****************************************************************
*******************Proportion Action Recs by Region****************************************
******************************************************************

*Eastern Europe
matrix Eoverarching = 0.1168
matrix colnames Eoverarching = OverarchingAction
matrix list Eoverarching

matrix Eimplementation = 0.0538
matrix colnames Eimplementation = Implementation
matrix list Eimplementation

matrix Epolicy = 0.2381
matrix colnames Epolicy = Policy
matrix list Epolicy

matrix Elegal = 0.1463
matrix colnames Elegal = Legal
matrix list Elegal

matrix Esocietal = 0.1160
matrix colnames Esocietal = SocietalAttitudes
matrix list Esocietal

matrix Ejustice = 0.1312
matrix colnames Ejustice = ProvisionJustice
matrix list Ejustice

matrix Eassess = 0.1001
matrix colnames Eassess = Assessment
matrix list Eassess

matrix Eio = 0.0978
matrix colnames Eio = IO
matrix list Eio

matrix EasternEurope = (Eoverarching, Eimplementation, Epolicy, Elegal, Esocietal, Ejustice, Eassess, Eio)
matrix list EasternEurope
matrix rowname EasternEurope = EasternEurope

**Northern Europe
matrix Noverarching = 0.1840
matrix colnames Noverarching = OverarchingAction
matrix list Noverarching

matrix Nimplementation = 0.0490
matrix colnames Nimplementation = Implementation
matrix list Nimplementation

matrix Npolicy = 0.2425
matrix colnames Npolicy = Policy
matrix list Npolicy

matrix Nlegal = 0.1493
matrix colnames Nlegal = Legal
matrix list Nlegal

matrix Nsocietal = 0.1160
matrix colnames Nsocietal = SocietalAttitudes
matrix list Nsocietal

matrix Njustice = 0.1312
matrix colnames Njustice = ProvisionJustice
matrix list Njustice

matrix Nassess = 0.1314
matrix colnames Nassess = Assessment
matrix list Nassess

matrix Nio = 0.0657
matrix colnames Eio = IO
matrix list Nio


matrix NorthernEurope = (Noverarching, Nimplementation, Npolicy, Nlegal, Nsocietal, Njustice, Nassess, Nio)
matrix list NorthernEurope
matrix rowname NorthernEurope = NorthernEurope

*Southern Europe
matrix Soverarching = 0.1378
matrix colnames Soverarching = OverarchingAction
matrix list Soverarching

matrix Simplementation = 0.0796
matrix colnames Simplementation = Implementation
matrix list Simplementation

matrix Spolicy = 0.2701
matrix colnames Spolicy = Policy
matrix list Spolicy

matrix Slegal = 0.1036
matrix colnames Slegal = Legal
matrix list Slegal

matrix Ssocietal = 0.1425
matrix colnames Ssocietal = SocietalAttitudes
matrix list Ssocietal

matrix Sjustice = 0.1175
matrix colnames Sjustice = ProvisionJustice
matrix list Sjustice

matrix Sassess = 0.1000
matrix colnames Sassess = Assessment
matrix list Sassess

matrix Sio = 0.0490
matrix colnames Sio = IO
matrix list Sio

matrix SouthernEurope = (Soverarching, Simplementation, Spolicy, Slegal, Ssocietal, Sjustice, Sassess, Sio)
matrix list SouthernEurope
matrix rowname SouthernEurope = SouthernEurope

*Western Europe
matrix Woverarching = 0.1915
matrix colnames Woverarching = OverarchingAction
matrix list Woverarching

matrix Wimplementation = 0.0832
matrix colnames Wimplementation = Implementation
matrix list Wimplementation

matrix Wpolicy = 0.2670
matrix colnames Wpolicy = Policy
matrix list Wpolicy

matrix Wlegal = 0.0696
matrix colnames Wlegal = Legal
matrix list Wlegal

matrix Wsocietal = 0.1083
matrix colnames Wsocietal = SocietalAttitudes
matrix list Wsocietal

matrix Wjustice = 0.0890
matrix colnames Wjustice = ProvisionJustice
matrix list Wjustice

matrix Wassess = 0.1315
matrix colnames Wassess = Assessment
matrix list Wassess

matrix Wio = 0.0600
matrix colnames Wio = IO
matrix list Wio

matrix WesternEurope = (Woverarching, Wimplementation, Wpolicy, Wlegal, Wsocietal, Wjustice, Wassess, Wio)
matrix list WesternEurope
matrix rowname WesternEurope = WesternEurope


matrix test = (EasternEurope\NorthernEurope\SouthernEurope\WesternEurope)

plotmatrix, m(test) s(0(.02).4) c(gray) ylabel(,angle(0) notick) xlabel(,angle(90) notick) plotregion(margin(zero)) legend(cols(1) color(black) ring(5) position(3) size(small) m(small) rowgap(zero) colgap(zero) symysize(huge) symxsize(huge))


*****************************************************************************
*****Figure 1A Supplementary Appendix****************************************
*****************************************************************************

**All Recommendations (Upper Left Panel)*************
*No Accountable Actor
matrix nolowprec = 476
matrix colnames nolowprec = Passive
matrix list nolowprec

matrix nomedprec =66
matrix colnames nomedprec = Guided
matrix list nomedprec

matrix nohighprec = 5
matrix colnames nohighprec = Directive
matrix list nohighprec

matrix OverarchingAction = (nolowprec, nomedprec, nohighprec)
matrix list OverarchingAction
matrix rowname OverarchingAction = OverarchingAction

**Implementation
matrix implementlowprec = 28
matrix colnames implementlowprec = Passive
matrix list implementlowprec 

matrix implementmedprec = 87
matrix colnames implementmedprec = Guided
matrix list implementmedprec

matrix implementhighprec = 125
matrix colnames implementhighprec = Directive
matrix list implementhighprec

matrix Implementation = (implementlowprec, implementmedprec, implementhighprec)
matrix list Implementation
matrix rowname Implementation = Implementation

*Policy
matrix policylowprec =  138
matrix colnames policylowprec = Precision
matrix list policylowprec

matrix policymedprec = 220
matrix colnames policymedprec = Guided
matrix list policymedprec

matrix policyhighprec = 576
matrix colnames policyhighprec = Directive
matrix list policyhighprec

matrix Policy = (policylowprec, policymedprec, policyhighprec)
matrix list Policy
matrix rowname Policy = Policy

*Legal
matrix legallowprec =  57
matrix colnames legallowprec = Passive
matrix list legallowprec

matrix legalmedprec = 65
matrix colnames legalmedprec = Guided
matrix list legalmedprec

matrix legalhighprec = 335
matrix colnames legalhighprec = Directive
matrix list legalhighprec

matrix Legal = (legallowprec, legalmedprec, legalhighprec)
matrix list Legal
matrix rowname Legal = Legal

*Attitudes
matrix attitudeslowprec =  38
matrix colnames attitudeslowprec = Passive
matrix list attitudeslowprec

matrix attitudesmedprec = 124
matrix colnames attitudesmedprec = Guided
matrix list attitudesmedprec

matrix attitudeshighprec = 272
matrix colnames attitudeshighprec = Directive
matrix list attitudeshighprec

matrix SocietalAttitudes = (attitudeslowprec, attitudesmedprec, attitudeshighprec)
matrix list SocietalAttitudes
matrix rowname SocietalAttitudes = SocietalAttitudes

*Justice
matrix justicelowprec =  15
matrix colnames justicelowprec = Passive
matrix list justicelowprec

matrix justicemedprec = 99
matrix colnames justicemedprec = Guided
matrix list justicemedprec

matrix justicehighprec = 299
matrix colnames justicehighprec = Directive
matrix list justicehighprec

matrix ProvisionJustice = (justicelowprec, justicemedprec, justicehighprec)
matrix list ProvisionJustice
matrix rowname ProvisionJustice = ProvisionJustice

*Assessment
matrix assesslowprec =  16
matrix colnames assesslowprec = Passive
matrix list assesslowprec

matrix assessmedprec = 79
matrix colnames assessmedprec = Guided
matrix list assessmedprec

matrix assesshighprec = 316
matrix colnames assesshighprec = Directive
matrix list assesshighprec

matrix Assessment = (assesslowprec, assessmedprec, assesshighprec)
matrix list Assessment
matrix rowname Assessment = Assessment

*IO-Oriented
matrix iolowprec =  26
matrix colnames iolowprec = Passive
matrix list iolowprec

matrix iomedprec = 33
matrix colnames iomedprec = Guided
matrix list iomedprec

matrix iohighprec = 205
matrix colnames iohighprec = Directive
matrix list iohighprec

matrix IO = (iolowprec, iomedprec, iohighprec)
matrix list IO
matrix rowname IO = IO

matrix test = (IO\Assessment\ProvisionJustice\SocietalAttitudes\Legal\Policy\Implementation\OverarchingAction)

plotmatrix, m(test) s(0(25)600) c(gray) ylabel(,angle(0) notick) xlabel(,angle(90) notick) plotregion(margin(zero)) legend(cols(1) color(black) ring(5) position(3) size(small) m(small) rowgap(zero) colgap(zero) symysize(huge) symxsize(huge))

**CEDAW Recommendations (Upper Right Panel)*************
*No Accountable Actor
matrix nolowprec = 119
matrix colnames nolowprec = Passive
matrix list nolowprec

matrix nomedprec =27
matrix colnames nomedprec = Guided
matrix list nomedprec

matrix nohighprec = 3
matrix colnames nohighprec = Directive
matrix list nohighprec

matrix OverarchingAction = (nolowprec, nomedprec, nohighprec)
matrix list OverarchingAction
matrix rowname OverarchingAction = OverarchingAction

**Implementation
matrix implementlowprec = 8
matrix colnames implementlowprec = Passive
matrix list implementlowprec 

matrix implementmedprec = 42
matrix colnames implementmedprec = Guided
matrix list implementmedprec

matrix implementhighprec = 42
matrix colnames implementhighprec = Directive
matrix list implementhighprec

matrix Implementation = (implementlowprec, implementmedprec, implementhighprec)
matrix list Implementation
matrix rowname Implementation = Implementation

*Policy
matrix policylowprec =  102
matrix colnames policylowprec = Precision
matrix list policylowprec

matrix policymedprec = 146
matrix colnames policymedprec = Guided
matrix list policymedprec

matrix policyhighprec = 375
matrix colnames policyhighprec = Directive
matrix list policyhighprec

matrix Policy = (policylowprec, policymedprec, policyhighprec)
matrix list Policy
matrix rowname Policy = Policy

*Legal
matrix legallowprec =  25
matrix colnames legallowprec = Passive
matrix list legallowprec

matrix legalmedprec = 19
matrix colnames legalmedprec = Guided
matrix list legalmedprec

matrix legalhighprec = 150
matrix colnames legalhighprec = Directive
matrix list legalhighprec

matrix Legal = (legallowprec, legalmedprec, legalhighprec)
matrix list Legal
matrix rowname Legal = Legal

*Attitudes
matrix attitudeslowprec =  14
matrix colnames attitudeslowprec = Passive
matrix list attitudeslowprec

matrix attitudesmedprec = 79
matrix colnames attitudesmedprec = Guided
matrix list attitudesmedprec

matrix attitudeshighprec = 192
matrix colnames attitudeshighprec = Directive
matrix list attitudeshighprec

matrix SocietalAttitudes = (attitudeslowprec, attitudesmedprec, attitudeshighprec)
matrix list SocietalAttitudes
matrix rowname SocietalAttitudes = SocietalAttitudes

*Justice
matrix justicelowprec =  4
matrix colnames justicelowprec = Passive
matrix list justicelowprec

matrix justicemedprec = 47
matrix colnames justicemedprec = Guided
matrix list justicemedprec

matrix justicehighprec = 130
matrix colnames justicehighprec = Directive
matrix list justicehighprec

matrix ProvisionJustice = (justicelowprec, justicemedprec, justicehighprec)
matrix list ProvisionJustice
matrix rowname ProvisionJustice = ProvisionJustice

*Assessment
matrix assesslowprec =  13
matrix colnames assesslowprec = Passive
matrix list assesslowprec

matrix assessmedprec = 71
matrix colnames assessmedprec = Guided
matrix list assessmedprec

matrix assesshighprec = 246
matrix colnames assesshighprec = Directive
matrix list assesshighprec

matrix Assessment = (assesslowprec, assessmedprec, assesshighprec)
matrix list Assessment
matrix rowname Assessment = Assessment

*IO-Oriented
matrix iolowprec =  11
matrix colnames iolowprec = Passive
matrix list iolowprec

matrix iomedprec = 18
matrix colnames iomedprec = Guided
matrix list iomedprec

matrix iohighprec = 63
matrix colnames iohighprec = Directive
matrix list iohighprec

matrix IO = (iolowprec, iomedprec, iohighprec)
matrix list IO
matrix rowname IO = IO

matrix test = (IO\Assessment\ProvisionJustice\SocietalAttitudes\Legal\Policy\Implementation\OverarchingAction)

plotmatrix, m(test) s(0(15)400) c(gray) ylabel(,angle(0) notick) xlabel(,angle(90) notick) plotregion(margin(zero)) legend(cols(1) color(black) ring(5) position(3) size(small) m(small) rowgap(zero) colgap(zero) symysize(huge) symxsize(huge))

**ECtHR Recommendations (Lower Left Panel)*************
*No Accountable Actor
matrix nolowprec = 5
matrix colnames nolowprec = Passive
matrix list nolowprec

matrix nomedprec = 4
matrix colnames nomedprec = Guided
matrix list nomedprec

matrix nohighprec = 0
matrix colnames nohighprec = Directive
matrix list nohighprec

matrix OverarchingAction = (nolowprec, nomedprec, nohighprec)
matrix list OverarchingAction
matrix rowname OverarchingAction = OverarchingAction

**Implementation
matrix implementlowprec = 3
matrix colnames implementlowprec = Passive
matrix list implementlowprec 

matrix implementmedprec = 0
matrix colnames implementmedprec = Guided
matrix list implementmedprec

matrix implementhighprec = 17
matrix colnames implementhighprec = Directive
matrix list implementhighprec

matrix Implementation = (implementlowprec, implementmedprec, implementhighprec)
matrix list Implementation
matrix rowname Implementation = Implementation

*Policy
matrix policylowprec =  0
matrix colnames policylowprec = Precision
matrix list policylowprec

matrix policymedprec = 2
matrix colnames policymedprec = Guided
matrix list policymedprec

matrix policyhighprec = 9
matrix colnames policyhighprec = Directive
matrix list policyhighprec

matrix Policy = (policylowprec, policymedprec, policyhighprec)
matrix list Policy
matrix rowname Policy = Policy

*Legal
matrix legallowprec =  0
matrix colnames legallowprec = Passive
matrix list legallowprec

matrix legalmedprec = 2
matrix colnames legalmedprec = Guided
matrix list legalmedprec

matrix legalhighprec = 38
matrix colnames legalhighprec = Directive
matrix list legalhighprec

matrix Legal = (legallowprec, legalmedprec, legalhighprec)
matrix list Legal
matrix rowname Legal = Legal

*Attitudes
matrix attitudeslowprec = 0
matrix colnames attitudeslowprec = Passive
matrix list attitudeslowprec

matrix attitudesmedprec = 1
matrix colnames attitudesmedprec = Guided
matrix list attitudesmedprec

matrix attitudeshighprec = 0
matrix colnames attitudeshighprec = Directive
matrix list attitudeshighprec

matrix SocietalAttitudes = (attitudeslowprec, attitudesmedprec, attitudeshighprec)
matrix list SocietalAttitudes
matrix rowname SocietalAttitudes = SocietalAttitudes

*Justice
matrix justicelowprec = 0
matrix colnames justicelowprec = Passive
matrix list justicelowprec

matrix justicemedprec = 3
matrix colnames justicemedprec = Guided
matrix list justicemedprec

matrix justicehighprec = 55
matrix colnames justicehighprec = Directive
matrix list justicehighprec

matrix ProvisionJustice = (justicelowprec, justicemedprec, justicehighprec)
matrix list ProvisionJustice
matrix rowname ProvisionJustice = ProvisionJustice

*Assessment
matrix assesslowprec =  0
matrix colnames assesslowprec = Passive
matrix list assesslowprec

matrix assessmedprec = 0
matrix colnames assessmedprec = Guided
matrix list assessmedprec

matrix assesshighprec = 29
matrix colnames assesshighprec = Directive
matrix list assesshighprec

matrix Assessment = (assesslowprec, assessmedprec, assesshighprec)
matrix list Assessment
matrix rowname Assessment = Assessment

*IO-Oriented
matrix iolowprec =  5
matrix colnames iolowprec = Passive
matrix list iolowprec

matrix iomedprec = 4
matrix colnames iomedprec = Guided
matrix list iomedprec

matrix iohighprec = 50
matrix colnames iohighprec = Directive
matrix list iohighprec

matrix IO = (iolowprec, iomedprec, iohighprec)
matrix list IO
matrix rowname IO = IO

matrix test = (IO\Assessment\ProvisionJustice\SocietalAttitudes\Legal\Policy\Implementation\OverarchingAction)

plotmatrix, m(test) s(0(2)56) c(gray) ylabel(,angle(0) notick) xlabel(,angle(90) notick) plotregion(margin(zero)) legend(cols(1) color(black) ring(5) position(3) size(small) m(small) rowgap(zero) colgap(zero) symysize(huge) symxsize(huge))

**UPR Recommendations (Lower Right Panel)*************
*No Accountable Actor
matrix nolowprec = 200
matrix colnames nolowprec = Passive
matrix list nolowprec

matrix nomedprec =35
matrix colnames nomedprec = Guided
matrix list nomedprec

matrix nohighprec = 2
matrix colnames nohighprec = Directive
matrix list nohighprec

matrix OverarchingAction = (nolowprec, nomedprec, nohighprec)
matrix list OverarchingAction
matrix rowname OverarchingAction = OverarchingAction

**Implementation
matrix implementlowprec = 17
matrix colnames implementlowprec = Passive
matrix list implementlowprec 

matrix implementmedprec = 45
matrix colnames implementmedprec = Guided
matrix list implementmedprec

matrix implementhighprec = 66
matrix colnames implementhighprec = Directive
matrix list implementhighprec

matrix Implementation = (implementlowprec, implementmedprec, implementhighprec)
matrix list Implementation
matrix rowname Implementation = Implementation

*Policy
matrix policylowprec =  36
matrix colnames policylowprec = Precision
matrix list policylowprec

matrix policymedprec = 72
matrix colnames policymedprec = Guided
matrix list policymedprec

matrix policyhighprec = 192
matrix colnames policyhighprec = Directive
matrix list policyhighprec

matrix Policy = (policylowprec, policymedprec, policyhighprec)
matrix list Policy
matrix rowname Policy = Policy

*Legal
matrix legallowprec =  32
matrix colnames legallowprec = Passive
matrix list legallowprec

matrix legalmedprec = 44
matrix colnames legalmedprec = Guided
matrix list legalmedprec

matrix legalhighprec = 147
matrix colnames legalhighprec = Directive
matrix list legalhighprec

matrix Legal = (legallowprec, legalmedprec, legalhighprec)
matrix list Legal
matrix rowname Legal = Legal

*Attitudes
matrix attitudeslowprec =  24
matrix colnames attitudeslowprec = Passive
matrix list attitudeslowprec

matrix attitudesmedprec = 44
matrix colnames attitudesmedprec = Guided
matrix list attitudesmedprec

matrix attitudeshighprec = 80
matrix colnames attitudeshighprec = Directive
matrix list attitudeshighprec

matrix SocietalAttitudes = (attitudeslowprec, attitudesmedprec, attitudeshighprec)
matrix list SocietalAttitudes
matrix rowname SocietalAttitudes = SocietalAttitudes

*Justice
matrix justicelowprec =  11
matrix colnames justicelowprec = Passive
matrix list justicelowprec

matrix justicemedprec = 49
matrix colnames justicemedprec = Guided
matrix list justicemedprec

matrix justicehighprec = 114
matrix colnames justicehighprec = Directive
matrix list justicehighprec

matrix ProvisionJustice = (justicelowprec, justicemedprec, justicehighprec)
matrix list ProvisionJustice
matrix rowname ProvisionJustice = ProvisionJustice

*Assessment
matrix assesslowprec =  3
matrix colnames assesslowprec = Passive
matrix list assesslowprec

matrix assessmedprec = 8
matrix colnames assessmedprec = Guided
matrix list assessmedprec

matrix assesshighprec = 41
matrix colnames assesshighprec = Directive
matrix list assesshighprec

matrix Assessment = (assesslowprec, assessmedprec, assesshighprec)
matrix list Assessment
matrix rowname Assessment = Assessment

*IO-Oriented
matrix iolowprec =  10
matrix colnames iolowprec = Passive
matrix list iolowprec

matrix iomedprec = 11
matrix colnames iomedprec = Guided
matrix list iomedprec

matrix iohighprec = 92
matrix colnames iohighprec = Directive
matrix list iohighprec

matrix IO = (iolowprec, iomedprec, iohighprec)
matrix list IO
matrix rowname IO = IO

matrix test = (IO\Assessment\ProvisionJustice\SocietalAttitudes\Legal\Policy\Implementation\OverarchingAction)

plotmatrix, m(test) s(0(15)210) c(gray) ylabel(,angle(0) notick) xlabel(,angle(90) notick) plotregion(margin(zero)) legend(cols(1) color(black) ring(5) position(3) size(small) m(small) rowgap(zero) colgap(zero) symysize(huge) symxsize(huge))
